1. Fire Simulations
FiSci
  • Fire Simulations
    • Create fire simulation
      POST
    • Get simulation results
      GET
    • Fire simulation completed
  • Projects
    • Get projects
      GET
  1. Fire Simulations

Fire simulation completed

Webhook
POST
Fire Simulation Result
Sends the completed fire simulation once completed to the configured webhook.
The following authentication methods are supported:
X-API-KEY header
Bearer token
HMAC Signature

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "simulation_id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
    "status": "pending",
    "metadata": {
        "total_frames": 8
    },
    "frames": [
        {
            "timestamp": "2019-08-24T14:15:22.123Z",
            "fire_footprint": {
                "type": "string",
                "features": [
                    {
                        "id": "string",
                        "type": "string",
                        "properties": {
                            "value": 0,
                            "frame_no": 0,
                            "frame_number": 0,
                            "timestamp": "string"
                        },
                        "geometry": {
                            "type": "string",
                            "coordinates": [
                                [
                                    [
                                        0
                                    ]
                                ]
                            ]
                        }
                    }
                ]
            }
        }
    ]
}'
Response Response Example
{}
Modified at 2026-05-25 23:09:19
Previous
Get simulation results
Next
Get projects
Built with